require_relative '../../../lib/fis/test'

extend Fis::Test


test 'should fail if result is false' do

  # test 'this is a failing assertion' do
  #   assert false
  # end

  result = false
  title = "this is a failing assertion"
  assert_equal self.send(:evaluate, result, title), "fail: #{title}"
end

test 'should return true when the result is true' do

  # test 'this is a passing assertion' do
  #   assert false
  # end

  result = true
  title = "this is a passing assertion"
  assert_equal self.send(:evaluate, result, title), "pass: #{title}"
end

test 'should return the expected/actual return when an assert_equal is true' do

  # test 'this is a failing assert_equal statement' do
  #   assert_equal true, false
  # end

  result = [true, false]
  title = "this is a failing assert_equal statement"
  assert_equal self.send(:evaluate,result, title) , "fail: #{title}\n      expected #{result.first} to equal #{result.last}"
end

test 'should skip if the skip method is used' do

  # test 'This is a skipped assertion' do
  #   skip("skipping")
  #   assert_equal true, false
  # end

  error = Fis::Test::SkippedError.new("skipping")
  title = "This is a skipped assertion"
  assert_equal self.send(:exception_handler,error, title), "skipped: #{error.message}"
end

